<?php

if ($_GET["action"]=="addok")
{
$add_url=$_GET["add_url"];
$type_url=$_GET["type_url"];
$class_url=$_GET["class_url"];
$qq=$_GET["qq"];
$title_url=$_GET["title_url"];
if ($add_url=="")
{
echo "<script language='javascript'>alert('域名不能为空！');history.go(-1)</script>";
}
else
{
axing_connect();
$sql="select * from base where url='$add_url'";
$result=mysql_query($sql);
if (mysql_num_rows($result)>0)
{
echo "<script language='javascript'>alert('这个网站已经存在，请勿重复添加！');history.go(-1)</script>";
mysql_close();
}
else
{
axing_connect();
$now=date("Y-m-d H:i:s");
$sql="insert into base(url,addtime,updatetime,able,type,cometime,red,bold,page,title,content,keywords,description,good,qq,who,class_url,title_url) values('$add_url','$now','$now','no','$type_url','$now','no','no','index','请更新','请更新','no','no','no','$qq','$_SESSION[user]','$class_url','$title_url')";
$result=mysql_query($sql);
$siteid=mysql_insert_id();
if (mysql_affected_rows()>0)
{
echo "<script language='javascript'>alert('添加成功，请点击更新获取网站的其他信息！');location.href='admin.php'</script>";
mysql_close;
}
}
}
}



if ($_GET["action"]=="editok")
{
$id=$_GET["id"];
$add_url=$_GET["add_url"];
$type_url=$_GET["type_url"];
$class_url=$_GET["class_url"];
$qq=$_GET["qq"];
$title_url=$_GET["title_url"];
$pic=$_GET["pic"];
if ($add_url=="")
{
echo "<script language='javascript'>alert('域名不能为空！');history.go(-1)</script>";
}
else
{
axing_connect();
$now=date("Y-m-d H:i:s");
$sql="update base set url='$add_url',class_url='$class_url',qq='$qq',title_url='$title_url' where id='$id'";
$result=mysql_query($sql);
$siteid=mysql_insert_id();
if (mysql_affected_rows()>0)
{
echo "<script language='javascript'>alert('修改成功！');location.href='admin.php'</script>";
mysql_close;
}
}
}







//程序开发，Axingweb | 阿星 www.axingweb.cn
if (!$_SESSION['admin'])
{
?>
<div style="padding:5px">
 <form action="?action=login" method="post">
  账号：<input name="admin" type="text" class="text_axing" style="width:100px; height:20px">
  密码：<input name="passwords" type="password" class="text_axing" style="width:100px">
  <input type="submit" value="登录" class="put">
  &nbsp;&nbsp;&nbsp;<input type="reset" value="重置" class="put">
 </form>
</div>
<?php
}
else
{
?>
<ul  style="list-style-type:none; border:#cccccc 1px dashed; padding:5px; width:900px">
<li>欢迎登录
<?php
//程序开发，Axingweb | 阿星 www.axingweb.cn
echo($_SESSION["admin"]);
?>
</li>
<li><a href="admin.php">网址管理</a>   <!--<a href='#' onClick="javascript:window.open('admin_html_all.php','axing','height=500, width=500, top=200, left=300, toolbar=no, menubar=no, scrollbars=yes, resizable=no,location=no, status=no')" style="color:red">批量生成HTML</a>-->  <a href="?action=add">添加网址</a> <a href="admin_tag.php">标签管理</a>  <a href="admin_change.php">修改管理员信息</a>  <a href="?action=out">注销登陆</a></li>
<?php if($_GET["action"]=="add")
{?>
<li>
<li>
网址：<input type="text" name="add_url" style="width:300px"/> 格式：http://www.axingweb.cn </li>
<li>
名称：<input type="text" name="title_url"/>8字以内</li>
<li>Q Q：<input type="text" name="qq"/></li>
<li>交换类型：<select name="type_url"><option value="index">首页交换</option></select></li>
</li>
<li>网站分类：<select name="class_url">
	    <option value="文学艺术">文学艺术</option>
	    <option value="彩票博彩">彩票博彩</option>
	    <option value="娱乐八卦">娱乐美女</option>
	    <option value="爱情交友">爱情交友</option>
	    <option value="博客论坛">博客论坛</option>
	    <option value="音乐电影">音乐电影</option>
	    <option value="个人网站">个人网站</option>
	    <option value="门户网站">门户网站</option>
	    <option value="网上购物">网上购物</option>
	    <option value="其它网站">其它网站</option>
</select></li>
<li><input type="button" value="提交" onclick="location.href='?action=addok&add_url='+add_url.value+'&type_url='+type_url.value+'&class_url='+class_url.value+'&qq='+qq.value+'&title_url='+title_url.value"/>
</li><?php 
}
?>
</ul>
<?php
}
?>

<?php if($_GET["action"]=="edit")
{
axing_connect();
$id=$_GET["id"];
$sql="select * from base where id='$id'";
$result=mysql_query($sql);
if (mysql_num_rows($result)>0)
{
$myrow=mysql_fetch_assoc($result);
?>

<ul  style="list-style-type:none; border:#cccccc 1px dashed; padding:5px; width:900px">
<li>
<li>
网址：<input type="text" name="add_url" style="width:300px" value="<?echo($myrow[url])?>" disabled="disabled"/> 格式：http://www.axingweb.cn </li>
<li>
名称：<input type="text" name="title_url"  value="<?echo($myrow[title_url])?>"/>8字以内</li>
<li>Q Q：<input type="text" name="qq" value="<?echo($myrow[qq])?>"/> <input type="hidden" name="idd" value="<?echo($id)?>"/></li>
<li>交换类型：<select name="type_url"><option value="index">首页交换</option></select></li>
</li>
<li>网站分类：<select name="class_url">
	    <option value="文学艺术" <? if($myrow[class_url]=="文学艺术") {?> selected="selected"<? }?>>文学艺术</option>
	    <option value="彩票博彩" <? if($myrow[class_url]=="彩票博彩") {?> selected="selected"<? }?>>彩票博彩</option>
	    <option value="娱乐美女" <? if($myrow[class_url]=="娱乐美女") {?> selected="selected"<? }?>>娱乐美女</option>
	    <option value="爱情交友" <? if($myrow[class_url]=="爱情交友") {?> selected="selected"<? }?>>爱情交友</option>
	    <option value="博客论坛" <? if($myrow[class_url]=="博客论坛") {?> selected="selected"<? }?>>博客论坛</option>
	    <option value="音乐电影" <? if($myrow[class_url]=="音乐 Mp3") {?> selected="selected"<? }?>>音乐电影</option>
	    <option value="个人网站" <? if($myrow[class_url]=="个人网站") {?> selected="selected"<? }?>>个人网站</option>
	    <option value="门户网站" <? if($myrow[class_url]=="门户网站") {?> selected="selected"<? }?>>门户网站</option>
	    <option value="网上购物" <? if($myrow[class_url]=="网上购物") {?> selected="selected"<? }?>>网上购物</option>
	    <option value="其它网站" <? if($myrow[class_url]=="其它网站") {?> selected="selected"<? }?>>其它网站</option>
</select></li>
<li><input type="button" value="提交" onclick="location.href='?action=editok&id='+idd.value+'&add_url='+add_url.value+'&type_url='+type_url.value+'&class_url='+class_url.value+'&qq='+qq.value+'&title_url='+title_url.value"/>
</li><?php
}
mysql_close();
}
?>
</ul>